Bug 489096 - install include/trace/*.h headers in kernel-devel
install include/trace/*.h headers in kernel-devel
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Jason Baron
Red Hat Kernel QE team
:
: 494950 (view as bug list)
Depends On:
Blocks: 329781 475456
  Show dependency treegraph
 
Reported: 2009-03-07 10:05 EST by Frank Ch. Eigler
Modified: 2013-03-06 01:01 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
untested patch to include the includ/trace directory in kernel-devel pkg (895 bytes, patch)
2009-03-12 14:22 EDT, Jason Baron
no flags Details | Diff

  None (edit)
Description Frank Ch. Eigler 2009-03-07 10:05:20 EST
Description of problem:

systemtap's new direct kernel tracepoint support requires access to the
trace/*.h header files within the kernel-devel package.  A .spec patch
is going into fedora very soon; the same thing just needs to be put into
rhel5.

This should moot bug #465543 by making the marker-conversion module unnecessary.

This should be a zero-risk change, since we're only asking to package a
few preexisting header files within the kernel-devel rpm.  No source code
changes are contemplated.
Comment 1 Jason Baron 2009-03-12 14:22:49 EDT
Created attachment 334983 [details]
untested patch to include the includ/trace directory in kernel-devel pkg
Comment 2 RHEL Product and Program Management 2009-03-12 15:21:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jason Baron 2009-03-27 13:25:16 EDT
posted 3/27/09
Comment 4 Don Zickus 2009-04-16 14:39:36 EDT
in kernel-2.6.18-139.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 5 Josh Stone 2009-04-16 21:23:58 EDT
I confirmed that systemtap sees all tracepoints OOTB in kernel-2.6.18-139.el5 on i686 and x86_64.  Thanks!
Comment 7 Neil Horman 2009-05-26 10:18:53 EDT
*** Bug 494950 has been marked as a duplicate of this bug. ***
Comment 12 errata-xmlrpc 2009-09-02 04:58:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.